function [p_P]=poloha_P(SWCpt,x,org,kon_QRS,zac_QRS,poloha_R,tep,fvz)

 
p_P=[];

for i=1:length(poloha_R)-1
    
    okno= floor(1*(poloha_R(i+1)-poloha_R(i))/5);
    if zac_QRS(i)-okno > 0
        [hodnota, poloha]=max((SWCpt(zac_QRS(i)-okno:zac_QRS(i))));
        k=0;
        while ((zac_QRS(i)-okno+poloha-k)>1) && (SWCpt(zac_QRS(i)-okno+poloha-k)>0) && abs(zac_QRS(i)-(zac_QRS(i)-okno+poloha-k))<125  
            k=k+1;
        end
        p_P=[p_P zac_QRS(i)-okno+poloha-k ];
    end
end
okno= floor(1*(poloha_R(end)-poloha_R(end-1))/5);
[hodnota, poloha]=max(SWCpt(zac_QRS(end)-okno:zac_QRS(end)));
k=0;
while SWCpt(zac_QRS(end)-okno+poloha-k)>=0 && zac_QRS(end)-okno+poloha-k > 0
    k=k+1;
end
p_P=[p_P zac_QRS(end)-okno+poloha-k ];


    